<template>
    <div class="container-fluid">
        <div class="title-nav">
            <img src="../assets/gruppen.png" alt="" class="titel-logo" >
        </div>
        <div class="card-container" @submit.prevent="postGruppe">
            <div class="card-head">
                <div class="container-fluid">
                    <div class="row gx-1 justify-content-between">
                        <div class="col-lg-1 col-md-3 arrow-container">
                           
                        </div>

                        <div class="col-lg-3 col-md-3">
                            <form>
                              <select name="kk" v-model="neueGruppe.kursKategorie">
                                    <option disabled>Kurskategorie</option>
                                    <option value="SW">Softwareentwicklung</option>
                                    <option value="NT">Netzwerktechnik</option>
                                    <option value="FIA">FIA</option>
                                </select>
                            </form>
                        </div>

                        <div class="col-lg-3 col-md-3">
                            <form>
                              <select name="rn" v-model="neueGruppe.raumName">
                                    <option disabled>Raum</option>
                                    <option value="ADALOVELACE">Ada Lovelace</option>
                                    <option value="ALANTURING">Alan Turing</option>
                                    <option value="RADIAPERLMAN">Radia Perlman</option>
                                    <option value="LINUSTORVALDS">Linus Torvalds</option>
                                    <option value="KONDRADZUSE">Konrad Zuse</option>
                                    <option value="HEDYLAMARR">Hedy Lamarr</option>
                                    <option value="MARGARETHAMILTON">Margaret Hamilton</option>
                                </select>
                            </form>
                        </div>

                        <div class="col-lg-3 col-md-3 qual-gruppe-cont">
                            <form>
                              <select name="qual" v-model="neueGruppe.qualifying">
                                    <option disabled>Qualifying</option>
                                    <option value="true">Ja</option>
                                    <option value="false">Nein</option>
                                </select>
                            </form>
                        </div>

                        <div class="col-lg-1 col-md-3 add-del-container-teiln">
                            <div class="plus-container " >
                                <span class="plus" @click="postGruppe(neueGruppe)">+</span>
                            </div>
                            
                        </div>
                </div>
            </div>
        </div>
            <!-- <div class="collapse" id="collapseExample">
                <div class="card card-body">
                    <div class="container">
                        <div class="row gx-1 justify-content-between">
                            <div class="col-lg-1 col-md-3">
                                
                            </div>
                            <div class="col-lg-2 col-md-3">
                                
                                <form><input id="startDate" class="form-control" type="date" v-model="neueGruppe.geburtstag" /></form>
                            </div>

                            <div class="col-lg-2 col-md-3">
                                <form><input type="text" v-model="neueGruppe.adresse" placeholder="Adresse"></form>
                            </div>

                            <div class="col-lg-2 col-md-3">
                                <form >
                                    <select name="vb" v-model="neueGruppe.beschaeftigung">
                                        <option value="" disabled selected>Beschäftigungsverhältnis</option>
                                        <option value="VOLLZEIT">Vollzeit</option>
                                        <option value="TEILZEIT">Teilzeit</option>
                                        <option value="SELBSTSTÄNDIG">Selbstständig</option>
                                    </select>
                                </form>
                            </div>

                            <div class="col-lg-2 col-md-3">
                                <form><input type="text" v-model="neueGruppe.bruttolohn" placeholder="Bruttolohn"></form>
                            </div>
                            <div class="col-lg-1 col-md-3">
                                
                            </div>
                        </div>
                    </div>
                </div>
            </div>  -->
        </div>

        <!-- Alle Gruppen -->
        <div class="card-container alle-trainerinnen" id="gruppenset" v-for="(gruppe, id) in alleGruppen" :key="id" @submit.prevent="manipGruppe(gruppe)">
            <div class="card-head">
                <div class="container-fluid">
                    <div class="row gx-1 justify-content-between" >
                        <div class="col-lg-2 col-md-3 arrow-container">
                            <span class="accordion-arrow" type="button"  data-bs-toggle="collapse" :data-bs-target="'#flush-collapse'+gruppe.id" aria-expanded="false" :aria-controls="'#flush-collapse'+gruppe.id">
                                &#9654;
                            </span>
                            <span class="floppy" @click="manipGruppe(gruppe)">&#128427;</span>
                        </div>

                        <div class="col-lg-2 col-md-3">
                            <div class="title-trainerinnen-container"><span class="col-titles">Kurskategorie</span></div>
                            
                            <form>
                              <select name="kk" v-model="gruppe.kursKategorie">
                                    <option disabled>Kurskategorie</option>
                                    <option value="SW">Softwareentwicklung</option>
                                    <option value="NT">Netzwerktechnik</option>
                                    <option value="FIA">FIA</option>
                                </select>
                            </form>
                        </div>

                        <div class="col-lg-2 col-md-3">
                            <span class="col-titles">Gruppenname</span>
                            <form><input type="text"  v-model="gruppe.gruppenname" placeholder="Gruppenname" disabled /></form>
                              
                        </div>

                        <div class="col-lg-2 col-md-3">
                            <span class="col-titles">Raum</span>
                            <form>
                              <select name="rn" v-model="gruppe.raumname">
                                    
                                    <option value="ADALOVELACE">Ada Lovelace</option>
                                    <option value="ALANTURING">Alan Turing</option>
                                    <option value="RADIAPERLMAN">Radia Perlman</option>
                                    <option value="LINUSTORVALDS">Linus Torvalds</option>
                                    <option value="KONRADZUSE">Konrad Zuse</option>
                                    <option value="HEDYLAMARR">Hedy Lamarr</option>
                                    <option value="MARGARETHAMILTON">Margaret Hamilton</option>
                                </select>
                            </form>
                        </div>

                  

                        <div class="col-lg-2 col-md-3 ">
                            <span class="col-titles">Qualifying</span>
                            <form>
                              <select name="qual" v-model="gruppe.qualifying">
                                    <option disabled>Qualifying</option>
                                    <option value="true">Ja</option>
                                    <option value="false">Nein</option>
                                </select>
                            </form>
                            
                        </div>
                        <div class="col-lg-2 col-md-3 add-del-container">
                            <div class="minus-container">
                                <span class="minus"  @click="deleteGruppe(gruppe.id)">-</span>
                            </div>
                            
                        </div>
                </div>
            </div>
        </div>
            <div class="collapse"  :id="'flush-collapse'+gruppe.id" :aria-labelledby="'flush-heading'+gruppe.id" data-bs-parent="#accordionFlushExample">
                <div class="card card-body card-body-settings">
                    <div class="container-fluid" >
                        <div class="row gx-1 justify-content-between" >
                            <div class="col-lg-2 col-md-3 arrow-container">
                                
                            </div>
                            <div class="col-lg-2 col-md-3" >
                                <div class="title-trainerinnen-container"><span class="col-titles">TeilnehmerIn 1</span></div>
                                <form><input type="text" v-model="gruppe.teilnehmerNamenSet.name"></form>
                            </div>

                            <div class="col-lg-2 col-md-3 add-del-container">
                               
                            </div>
                        </div>
                    </div>
                </div>
            </div> 
        </div>

        
            
        
    </div>
</template>

<script>
export default{
        data() {
            return {
                gruppenUpdate: {
                    qualifying: "",
                    kursKategorie: "",
                    gruppenname: "", 
                    raumname:"",
                    name:"",             
                    id: "",
                },
                neueGruppe: {
                    qualifying: "Qualifying",
                    kursKategorie: "Kurskategorie",
                    gruppenname: null,
                    raumname: "Raum",
                },
                
            };
        },
        computed: {
            alleGruppen() {
                return this.$store.state.alleGruppen;
            },
            gruppeById() {
                return this.$store.state.gruppeById;
            },
        },
        methods: {
            postGruppe(){
                console.log(this.postGruppe)
                const response = this.$store.dispatch('postGruppe', this.neueGruppe)
                .then((result) => {
                    console.log(result)
                    console.log(response)
                })
             
            },
            async getGruppeById(id) {
                this.$store.dispatch("getGruppeById", id);
            },
            async deleteGruppe(id) {
                const deleteGruppe = this.$store.dispatch("deleteGruppe", id);
                console.log(deleteGruppe);
            },
            async manipGruppe(gruppeById) {
                this.gruppenUpdate.qualifying = gruppeById.qualifying;
                this.gruppenUpdate.kursKategorie = gruppeById.kursKategorie;
                this.gruppenUpdate.gruppenname = gruppeById.gruppenname;
                this.gruppenUpdate.id = gruppeById.id;
                this.gruppenUpdate.raumname = gruppeById.raumname;
                this.gruppenUpdate.teilnehmerNamenSet = gruppeById.teilnehmerNamenSet;
                this.$store.dispatch("putGruppe", this.gruppenUpdate);
            },
            async putGruppe() {
                const response = this.$store.dispatch("putGruppe", this.gruppenUpdate);
                console.log(response);
                console.log(this.gruppenUpdate);
            }
        },
        mounted() {
            this.$store.dispatch("getAlleGruppen");
        },
        components: {  }
};    
</script>

<style>

</style>